clear all
close all

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plotting av figur som viser transferfunksjoner for forskjellige
%dempningskonstanter
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
rettLengde=0.3;
sloyfeLengde=0.2;

dempning_dB=5.49;
[Htr1,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr2,x]=tosloyfer(40,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr3,x]=tosloyfer(50,20,1,2,rettLengde,sloyfeLengde,dempning_dB);

dempning_dB=2.75;
[Htr4,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr5,x]=tosloyfer(40,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr6,x]=tosloyfer(50,20,1,2,rettLengde,sloyfeLengde,dempning_dB);


dempning_dB=1;
[Htr7,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr8,x]=tosloyfer(40,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr9,x]=tosloyfer(50,20,1,2,rettLengde,sloyfeLengde,dempning_dB);


diff2=Htr1-Htr2;
mindiff2=min(diff2)
maxdiff2=max(diff2)

diff3=Htr1-Htr3;
mindiff3=min(diff3)
maxdiff3=max(diff3)

diff5=Htr4-Htr5;
mindiff5=min(diff5)
maxdiff5=max(diff5)

diff6=Htr4-Htr6;
mindiff6=min(diff6)
maxdiff6=max(diff6)

diff8=Htr7-Htr8;
mindiff8=min(diff8)
maxdiff8=max(diff8)

diff9=Htr7-Htr9;
mindiff9=min(diff9)
maxdiff9=max(diff9)

figure(1)
hold on
plot(x,Htr1);
plot(x,Htr2,'red');
plot(x,Htr3,'green');
plot(x,Htr4,'--');
plot(x,Htr5,'red--');
plot(x,Htr6,'green--');
plot(x,Htr7,':');
plot(x,Htr8,'red:');
plot(x,Htr9,'green:');

%tekst p akser for latex
xlabel('$x\left(km\right)$');
ylabel('$\left|Z_{tr}\right|\left(dB\right)$');

hold off

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plotting av figur som viser transferfunksjoner for forskjellige
%dempningskonstanter
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
rettLengde=0.3;
sloyfeLengde=0.2;

dempning_dB=5.49;
[Htr1,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr2,x]=tosloyfer(0,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr3,x]=tosloyfer(0,30,1,2,rettLengde,sloyfeLengde,dempning_dB);


dempning_dB=2.75;
[Htr4,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr5,x]=tosloyfer(0,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr6,x]=tosloyfer(0,30,1,2,rettLengde,sloyfeLengde,dempning_dB);


dempning_dB=1;
[Htr7,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr8,x]=tosloyfer(0,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr9,x]=tosloyfer(0,30,1,2,rettLengde,sloyfeLengde,dempning_dB);


diff2=Htr1-Htr2;
mindiff2=min(diff2)
maxdiff2=max(diff2)

diff3=Htr1-Htr3;
mindiff3=min(diff3)
maxdiff3=max(diff3)

diff5=Htr4-Htr5;
mindiff5=min(diff5)
maxdiff5=max(diff5)

diff6=Htr4-Htr6;
mindiff6=min(diff6)
maxdiff6=max(diff6)

diff8=Htr7-Htr8;
mindiff8=min(diff8)
maxdiff8=max(diff8)

diff9=Htr7-Htr9;
mindiff9=min(diff9)
maxdiff9=max(diff9)


figure(2)
hold on
plot(x,Htr1);
plot(x,Htr2,'red');
plot(x,Htr3,'green');
plot(x,Htr4,'--');
plot(x,Htr5,'red--');
plot(x,Htr6,'green--');
plot(x,Htr7,':');
plot(x,Htr8,'red:');
plot(x,Htr9,'green:');

hold off

%tekst p akser for latex
xlabel('$x\left(km\right)$');
ylabel('$\left|Z_{tr}\right|\left(dB\right)$');


%printer figurer i eps format til latex
%set(0,'DefaultTextInterpreter','none');
%laprint(1,'C:\Users\shild\Skole\Masteroppgave\Tex\dempning1fig')
%laprint(2,'C:\Users\shild\Skole\Masteroppgave\Tex\dempning2fig')
