clear all
close all

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plotting av figur som viser transferfunksjon for forskjellig dreining av
%kablene
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dempning_dB=5.49;
rettLengde=0.3;
sloyfeLengde=0.2;

[Htr1,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr2,x]=tosloyfer(0,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr3,x]=tosloyfer(0,30,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr4,x]=tosloyfer(0,60,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr5,x]=tosloyfer(0,90,1,2,rettLengde,sloyfeLengde,dempning_dB);
%Htr5=1./(Htr5);


figure(1)

diff2=Htr1-Htr2;
mindiff2=min(diff2)
maxdiff2=max(diff2)
diff3=Htr1-Htr3;
mindiff3=min(diff3)
maxdiff3=max(diff3)
diff4=Htr1-Htr4;
mindiff4=min(diff4)
maxdiff4=max(diff4)
diff5=Htr1-Htr5;
mindiff5=min(diff5)
maxdiff5=max(diff5)


%tekst p akser for latex
xlabel('$x\left(km\right)$');
ylabel('$\left|Z_{tr}\right|\left(dB\right)$');
hold off

hold on
plot(x,Htr1);
plot(x,Htr2,'red');
plot(x,Htr3,'green');
plot(x,Htr4,'black');
plot(x,Htr5,'magenta');

Htr1max=max(Htr1);
Htr2max=max(Htr2);
Htr3max=max(Htr3);
Htr4max=max(Htr4);
Htr5max=max(Htr5);

%tekst p akser for latex
xlabel('$x\left(km\right)$');
ylabel('$\left|Z_{tr}\right|\left(dB\right)$');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plotting av figur som viser transferfunksjon for forskjellig dreining av
%kablene
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dempning_dB=5.49;
rettLengde=0.3;
sloyfeLengde=0.2;

[Htr1,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr2,x]=tosloyfer(30,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr3,x]=tosloyfer(30,30,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr4,x]=tosloyfer(30,60,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr5,x]=tosloyfer(30,90,1,2,rettLengde,sloyfeLengde,dempning_dB);


diff2=Htr1-Htr2;
mindiff2=min(diff2)
maxdiff2=max(diff2)
diff3=Htr1-Htr3;
mindiff3=min(diff3)
maxdiff3=max(diff3)
diff4=Htr1-Htr4;
mindiff4=min(diff4)
maxdiff4=max(diff4)
diff5=Htr1-Htr5;
mindiff5=min(diff5)
maxdiff5=max(diff5)

Htr1max=max(Htr1);
Htr2max=max(Htr2);
Htr3max=max(Htr3);
Htr4max=max(Htr4);
Htr5max=max(Htr5);

figure(2)

hold on
plot(x,Htr1);
plot(x,Htr2,'red');
plot(x,Htr3,'green');
plot(x,Htr4,'black');
plot(x,Htr5,'magenta');

hold off


%tekst p akser for latex
xlabel('$x\left(km\right)$');
ylabel('$\left|Z_{tr}\right|\left(dB\right)$');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plotting av figur som viser transferfunksjon for forskjellig dreining av
%kablene
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dempning_dB=5.49;
rettLengde=0.3;
sloyfeLengde=0.2;

[Htr1,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr2,x]=tosloyfer(60,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr3,x]=tosloyfer(60,30,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr4,x]=tosloyfer(60,60,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr5,x]=tosloyfer(60,90,1,2,rettLengde,sloyfeLengde,dempning_dB);

diff2=Htr1-Htr2;
mindiff2=min(diff2)
maxdiff2=max(diff2)
diff3=Htr1-Htr3;
mindiff3=min(diff3)
maxdiff3=max(diff3)
diff4=Htr1-Htr4;
mindiff4=min(diff4)
maxdiff4=max(diff4)
diff5=Htr1-Htr5;
mindiff5=min(diff5)
maxdiff5=max(diff5)


Htr1max=max(Htr1);
Htr2max=max(Htr2);
Htr3max=max(Htr3);
Htr4max=max(Htr4);
Htr5max=max(Htr5);

figure(3)
hold on
plot(x,Htr1);
plot(x,Htr2,'red');
plot(x,Htr3,'green');
plot(x,Htr4,'black');
plot(x,Htr5,'magenta');
hold off

%tekst p akser for latex
xlabel('$x\left(km\right)$');
ylabel('$\left|Z_{tr}\right|\left(dB\right)$');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plotting av figur som viser transferfunksjon for forskjellig dreining av
%kablene
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dempning_dB=5.49;
rettLengde=0.3;
sloyfeLengde=0.2;

[Htr1,x]=tosloyfer(0,0,2,2,rettLengde,sloyfeLengde,dempning_dB);

[Htr2,x]=tosloyfer(40,0,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr3,x]=tosloyfer(50,20,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr4,x]=tosloyfer(40,70,1,2,rettLengde,sloyfeLengde,dempning_dB);
[Htr5,x]=tosloyfer(50,90,1,2,rettLengde,sloyfeLengde,dempning_dB);

diff2=Htr1-Htr2;
mindiff2=min(diff2)
maxdiff2=max(diff2)
diff3=Htr1-Htr3;
mindiff3=min(diff3)
maxdiff3=max(diff3)
diff4=Htr1-Htr4;
mindiff4=min(diff4)
maxdiff4=max(diff4)
diff5=Htr1-Htr5;
mindiff5=min(diff5)
maxdiff5=max(diff5)

Htr1max=max(Htr1);
Htr2max=max(Htr2);
Htr3max=max(Htr3);
Htr4max=max(Htr4);
Htr5max=max(Htr5);

figure(4)
hold on
plot(x,Htr1);
plot(x,Htr2,'red');
plot(x,Htr3,'green');
plot(x,Htr4,'black');
plot(x,Htr5,'magenta');
hold off

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% %tekst p akser for latex
% xlabel('$x\left(km\right)$');
% ylabel('$\left|Z_{tr}\right|\left(dB\right)$');


% %printer figurer i eps format til latex
% set(0,'DefaultTextInterpreter','none');
% laprint(1,'C:\Users\shild\Skole\Masteroppgave\Tex\phi1=0fig')
% laprint(2,'C:\Users\shild\Skole\Masteroppgave\Tex\phi1=30fig')
% laprint(3,'C:\Users\shild\Skole\Masteroppgave\Tex\phi1=60fig')
% laprint(4,'C:\Users\shild\Skole\Masteroppgave\Tex\vinklerfig')
